local cache = require("lib.reoof.cache")
---@class lappy.video : Cache
---@field cache any
local _cache = cache:extend()

--- new function
function _cache:new()
  _cache.super.new(self, love.graphics.newVideo, ".video")
  self.cache = {}
end

local obj = _cache()

return {
  class = _cache,
  obj = obj
}
